Subject: Re: [Bugme-new] [Bug 11545] New: e1000e: Sometimes causes resume from suspend to RAM to fail

From: Andrew Morton <[email-masked]>
Date: Fri, 12 Sep 2008 09:05:20 -0700

(switched to email.  Please respond via emailed reply-to-all, not via the
bugzilla web interface).

On Fri, 12 Sep 2008 02:42:03 -0700 (PDT) [email-masked] wrote:

> http://bugzilla.kernel.org/show_bug.cgi?id=11545
> 
>            Summary: e1000e: Sometimes causes resume from suspend to RAM to
>                     fail
>            Product: Drivers
>            Version: 2.5
>      KernelVersion: 2.6.27-rc6
>           Platform: All
>         OS/Version: Linux
>               Tree: Mainline
>             Status: NEW
>           Severity: normal
>           Priority: P1
>          Component: Network
>         AssignedTo: [email-masked]
>         ReportedBy: [email-masked]
>                 CC: [email-masked]
> 
> 
> Latest working kernel version: Unknown
> Earliest failing kernel version: Unknown; first seen with 2.6.27-rc4
> Distribution: Debian
> Hardware Environment: HP Compaq 2510p laptop
> Software Environment: Debian unstable
> 
> Problem Description:
> Most of the time the laptop resumes perfectly from suspend, but sometimes
> (about 1 in 5-10 times) it fails to resume fairly early (with the display still
> off). Only solution at that point is a hard power off.
> 
> I've used pm_trace to try to find out the cause of the failure. That gave:
>   Magic number: 0:983:221
>   hash matches drivers/base/power/main.c:350
> e1000e 0000:00:19.0: hash matches
> rtc_cmos 00:06: setting system clock to 2020-12-11 09:12:26 UTC (1607677946)
> 
> So it looks like the e1000e device or driver is the cause.
> (Line 350 in power/main.c has 'TRACE_RESUME(0);'.)
> 
> This was with e1000e compiled into the kernel (as I wanted to use netconsole
> for another issue), but I've also seen the failure with e1000e modular.
> I will now make e1000e modular again and unload it before suspending to see if
> that makes resume stable.
> 
> Note that the eth0 NIC is unused (no cable connected). I use the wireless NIC
> instead.
> 
> Suggestions how to do further tracing or instrumentation would be very welcome.
> 

-------------------------------------------------------------------------
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK & win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100&url=/